Subject: [Isis-wg] Confusion in RFC statement

From: Sumanta Seal <[email-masked]>
Date: Fri, 12 Sep 2008 15:46:02 +0530 (IST)

Hello all,

I am having  some confusion in a statement  in RFC 3784 (IS-IS extension for Traffic Engineering). In section 4.1 (The up/down bit, page 8) of the RFC, there is one statement as "The up/down bit SHALL be set to 0 when a prefix is first injected into IS-IS". In this statement, the meaning of injection of a prefix into IS-IS is not clear to me.

How can I inject a prefix into IS-IS ? Does this means configuration of a prefix as reachable address in IS-IS router (by configuration of summary address in the IS-IS router) or something else.

Please help me out regarding this issue.

Thanks,
Sumanta

      Add more friends to your messenger and enjoy! Go to http://in.messenger.yahoo.com/invite/

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/isis-wg

---

From: "Tony Li" <[email-masked]>
Date: Fri, 12 Sep 2008 10:08:39 -0700

Hi Sumanta,
 
A prefix is 'injected' into IS-IS when a router inserts the prefix into it's
own LSPs, thereby advertising reachability to that prefix.
 
Yes, normally this is achieved by configuration of a prefix as a reachable
address, either by running IS-IS on a particular interface, redistributing
routes into IS-IS, configuring summary routes, or possibly through other
means.  The exact configuration steps or automatic mechanisms for injecting
routes into IS-IS is, of course, highly implementation dependent.
 
Regards,
Tony

  _____  

From: Sumanta Seal [mailto:[email-masked]] 
Sent: Friday, September 12, 2008 3:16 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Confusion in RFC statement

Hello all,

I am having  some confusion in a statement in RFC 3784 (IS-IS extension for
Traffic Engineering). In section 4.1 (The up/down bit, page 8) of the RFC,
there is one statement as "The up/down bit SHALL be set to 0 when a prefix
is first injected into IS-IS". In this statement, the meaning of injection
of a prefix into IS-IS is not clear to me.

How can I inject a prefix into IS-IS ? Does this means configuration of a
prefix as reachable address in IS-IS router (by configuration of summary
address in the IS-IS router) or something else.

Thanks,
Sumanta

  _____  

Unlimited freedom, unlimited storage. Get
<http://in.rd.yahoo.com/tagline_mail_2/*http://help.yahoo.com/l/in/yahoo/mai
l/yahoomail/tools/tools-08.html/> it now

---

From: Sumanta Seal <[email-masked]>
Date: Mon, 15 Sep 2008 15:48:40 +0530 (IST)

Hi Tony,

Thanks a lot for making this clear.

Regards,
Sumanta

--- On Fri, 12/9/08, Tony Li <[email-masked]> wrote:
From: Tony Li <[email-masked]>
Subject: RE: Confusion in RFC statement
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Friday, 12 September, 2008, 10:38 PM

 
Hi 
Sumanta,
 
A prefix is 
'injected' into IS-IS when a router inserts the prefix into it's own LSPs, 
thereby advertising reachability to that prefix.
 
Yes, normally 
this is achieved by configuration of a prefix as a reachable address, either by 
running IS-IS on a particular interface, redistributing routes into IS-IS, 
configuring summary routes, or possibly through other means.  The exact 
configuration steps or automatic mechanisms for injecting routes into IS-IS is, 
of course, highly implementation dependent.
 
Regards,
Tony

  
  From: Sumanta Seal 
  [mailto:[email-masked]] 
Sent: Friday, September 12, 2008 3:16 
  AM
To: [email-masked]
Cc: [email-masked]; 
  [email-masked]
Subject: Confusion in RFC 
  statement

    
      Hello all,

I am having  some confusion in a 
        statement in RFC 3784 (IS-IS extension for Traffic 
        Engineering). In section 4.1 (The up/down bit, page 8) of the 
        RFC, there is one statement as "The up/down bit SHALL be set to 0 when a 
        prefix is first injected into IS-IS". In this statement, the meaning of 
        injection of a prefix into IS-IS 
        is not clear to me.

How can I inject a prefix into IS-IS ? Does 
        this means configuration of a prefix as reachable address in IS-IS 
        router (by configuration of summary address in the IS-IS router) or 
        something else.

Please help me out regarding this 
        issue.

Thanks,
Sumanta

  it now